#include "led.h"
#include "delay.h"
#include "sys.h"
#include "key.h"
#include "usart.h"
/*
传感器设置成自动输出模式
波特率9600

stm32f103_usart3 连接倾角传感器用于接收传感器数据
stm32f103_usart1 连接电脑，将接收到的数据转换成角度转发至电脑
串口数据处理见usart.c

无锡北微传感科技有限公司
http://www.bewis.com.cn
Tel:400-618-0510
*/

 int main(void)
 {
	float Out_X;
	float Out_Y;
// 	float Out_Z; 
	 
 	SystemInit();//系统时钟等初始化
	delay_init(72);	     //延时初始化
	NVIC_Configuration();//设置NVIC中断分组2:2位抢占优先级，2位响应优先级
	uart_init(9600);//串口初始化为9600
	while(1)
	{
		if(newCmd) 
		{
			newCmd = 0;
		
			Out_X=(dataIn[0]&0x0F)*100+(dataIn[1]>>4)*10+(dataIn[1]&0x0F)+(dataIn[2]>>4)*0.1+(dataIn[2]&0x0F)*0.01+(dataIn[3]>>4)*0.001+(dataIn[3]&0x0F)*0.0001;//转换X轴角度数据
			if((dataIn[0]&0xF0))Out_X=-Out_X;  //首位代表正负号
			Out_Y=(dataIn[4]&0x0F)*100+(dataIn[5]>>4)*10+(dataIn[5]&0x0F)+(dataIn[6]>>4)*0.1+(dataIn[6]&0x0F)*0.01+(dataIn[7]>>4)*0.001+(dataIn[7]&0x0F)*0.0001;//转换Y轴角度数据
		  if((dataIn[4]&0xF0))Out_Y=-Out_Y;		 //首位代表正负号
// 			Out_Z=(dataIn[6]&0x0F)*100+(dataIn[7]>>4)*10+(dataIn[7]&0x0F)+(dataIn[8]>>4)*0.1+(dataIn[8]&0x0F)*0.01;//转换Z轴角度数据
// 		  if((dataIn[6]&0xF0))Out_Z=-Out_Z;		 //首位代表正负号,gZ=%5.4f,Out_Z
			printf("ID:%d,gX=%5.4f,gY=%5.4f\r\n",Addr,Out_X,Out_Y);					
		}		

	}	 

 }

